SQL Clone
SQLServerCentral is supported by Redgate
 
Log in  ::  Register  ::  Not logged in
 
 
 

MS15-058: Vulnerabilities in SQL Server could allow remote code execution

By Press Release,

On July 14, 2015, Microsoft released a security vulnerability for SQL Server. This is classified as MS15-058, and was released along with other patches for Microsoft products.

This issue could allow remote code execution with a query. This is documented in KB article 3065718. There are patches for these SQL Server versions:

  • SQL Server 2008
  • SQL Server 2008 R2
  • SQL Server 2012
  • SQL Server 2014

The KB article contains the specific version that will apply for your Service Pack and GDR or QFE branch.

There are also a few non-security related fixed in this patch.

 
Total article views: 5421 | Views in the last 30 days: 1
 
Related Articles
FORUM

Security Patches

patching SQL Server

FORUM

SQL Server Patching

How often to do the SQL Server Patching, like quaterly patching done by Oracle

BLOG

Patching

Probably the least enjoyable thing about being a DBA is patching servers. We received the bad news i...

ARTICLE

A SQL Server Patching Shortcut

This post on SQL Server patching illustrates a quick and simple way of safely extracting SQL Server ...

FORUM

SP2 Patching

SQL Server SP2 patching process

 
Contribute